> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Whats Working Snapshots Route

> Saved snapshots for the share dropdown's "existing snapshots" table.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/brand-intelligence/reports/whats-working/snapshots
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/reports/whats-working/snapshots:
    get:
      tags:
        - Brand Intelligence
        - Brand Intelligence
      summary: List Whats Working Snapshots Route
      description: Saved snapshots for the share dropdown's "existing snapshots" table.
      operationId: >-
        list_whats_working_snapshots_route_api_v1_brands__brand_id__brand_intelligence_reports_whats_working_snapshots_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportSnapshotListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReportSnapshotListResponse:
      properties:
        brand_id:
          type: string
          format: uuid
          title: Brand Id
        snapshots:
          items:
            $ref: '#/components/schemas/ReportSnapshotSummary'
          type: array
          title: Snapshots
      type: object
      required:
        - brand_id
      title: ReportSnapshotListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReportSnapshotSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        token:
          type: string
          title: Token
        report_type:
          type: string
          title: Report Type
        title:
          type: string
          title: Title
        date_start:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date Start
        date_end:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date End
        date_preset:
          anyOf:
            - type: string
            - type: 'null'
          title: Date Preset
        view:
          anyOf:
            - type: string
            - type: 'null'
          title: View
        creator_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Creator Name
        created_at:
          type: string
          format: date-time
          title: Created At
        share_path:
          type: string
          title: Share Path
      type: object
      required:
        - id
        - token
        - report_type
        - title
        - created_at
        - share_path
      title: ReportSnapshotSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````